# Poco::Net::Impl

# class IPv6SocketAddressImpl

Library: Net
Package: NetCore
Header: Poco/Net/SocketAddressImpl.h

## Inheritance

Direct Base Classes: SocketAddressImpl

All Base Classes: SocketAddressImpl, Poco::RefCountedObject

## Member Summary

Member Functions: addr, af, family, host, length, port, toString

Inherited Functions: addr, af, duplicate, family, host, length, port, referenceCount, release, toString

## Constructors

### IPv6SocketAddressImpl

IPv6SocketAddressImpl(
const struct sockaddr_in6 * addr
);

### IPv6SocketAddressImpl

IPv6SocketAddressImpl(
const void * addr,
UInt16 port
);

### IPv6SocketAddressImpl

IPv6SocketAddressImpl(
const void * addr,
UInt16 port,
UInt32 scope
);

## Member Functions

### addr

const struct sockaddr * addr() const;

See also: Poco::Net::Impl::SocketAddressImpl::addr()

### af

int af() const;

See also: Poco::Net::Impl::SocketAddressImpl::af()

### family

Family family() const;

See also: Poco::Net::Impl::SocketAddressImpl::family()

### host

IPAddress host() const;

See also: Poco::Net::Impl::SocketAddressImpl::host()

### length

socklen_t length() const;

See also: Poco::Net::Impl::SocketAddressImpl::length()

### port

UInt16 port() const;

See also: Poco::Net::Impl::SocketAddressImpl::port()

### toString

std::string toString() const;

See also: Poco::Net::Impl::SocketAddressImpl::toString()